<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSettlePaymentHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSettlePaymentHistory">
        <result column="id" property="id" />
        <result column="user_create" property="userCreate" />
        <result column="user_modified" property="userModified" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="settle_method" property="settleMethod" />
        <result column="payment_method" property="paymentMethod" />
        <result column="purch_contract_basic_info_id" property="purchContractBasicInfoId" />
        <result column="bank_name" property="bankName" />
        <result column="bank_account_name" property="bankAccountName" />
        <result column="bank_account" property="bankAccount" />
    </resultMap>
    <select id="getByBasicId"
            resultMap="BaseResultMap">
        select * from purch_contract_settle_payment_history where purch_contract_basic_info_id = #{value}
    </select>

</mapper>
